// Code to command a servo to go to a set shaft angle between 0 and 180 degrees
// For Arduino and motor shield

#include <ServoTimer1.h>

ServoTimer1 servo1;
ServoTimer1 servo2;
int incomingByte = 0;	// for incoming serial data
int input = 0;
int setPoint = 0;

void setup() {
  Serial.begin(9600);           // set up Serial link at 9600 bps
  Serial.println("Servo angle control!");
  Serial.println("Input desried angle from 0 to 180 degrees (e.g., 90; and send");
  // servo2.attach(9);
  servo1.attach(10);
}

void loop() {
  // Serial input to adjust the setpoint
  if (Serial.available() > 0)
  {
    while (Serial.available() > 0) {    
	// read the incoming byte:
	incomingByte = Serial.read();
        switch (incomingByte)
        {
        case '1':
          input *= 10;
          input += 1;
          break;
        case '2':
          input *= 10;
          input += 2;
          break;
        case '3':
          input *= 10;
          input += 3;
          break;
        case '4':
          input *= 10;
          input += 4;
          break;
        case '5':
          input *= 10;
          input += 5;
          break;
        case '6':
          input *= 10;
          input += 6;
          break;
        case '7':
          input *= 10;
          input += 7;
          break;
        case '8':
          input *= 10;
          input += 8;
          break;
        case '9':
          input *= 10;
          input += 9;
          break;
        case '0':
          input *= 10;
          break; 
        case ';':
          setPoint = input;
          input = 0;
	}
      }
  }

  servo1.write(setPoint);
  // Serial.print("Rotate to angle (deg): ");
  // Serial.println(setPoint, DEC);
}
